Page MenuHomePhabricator

archiv-bot parameter not added to {{Internetquelle}}
Closed, ResolvedPublic

Description

Here IABot 2.0 beta marked a link as dead but did not add the archiv-bot parameter as required by the German community.

Event Timeline

Cirdan created this task.Jun 5 2018, 8:12 PM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptJun 5 2018, 8:12 PM
Restricted Application added a subscriber: Cyberpower678. · View Herald Transcript
Cirdan added a comment.Jun 5 2018, 8:22 PM

Here it worked, when IABot was adding an archive URL.

This comment was removed by Cyberpower678.
Cirdan added a comment.Jun 5 2018, 8:25 PM

Here the same problem happened, so this seems consistent.

Vvjjkkii renamed this task from archiv-bot parameter not added to {{Internetquelle}} to ukbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed Cyberpower678 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
czar renamed this task from ukbaaaaaaa to archiv-bot parameter not added to {{Internetquelle}}.Jul 1 2018, 1:58 PM
czar assigned this task to Cyberpower678.
czar lowered the priority of this task from High to Medium.
czar updated the task description. (Show Details)
Cyberpower678 closed this task as Resolved.Jul 16 2018, 7:56 PM
Cirdan reopened this task as Open.Jul 17 2018, 5:20 AM

I don't think this is resolved, at least I haven't seen a single example yet where IABot 2.0beta2 marks a reference with Internetquelle as dead without adding an archiv-url. Only in these cases the archiv-bot parameter was missing.

IABot doesn't have an archive to use for those URLs? What are you expecting it to do?

Cirdan added a comment.EditedJul 23 2018, 3:48 AM

It should leave an archiv-bot timestamp when marking the link as dead, as it did previously and as it does when using the dead link template.

Here is an example: Diff.

This should be fixed in v2.0beta7